
public class Class464 {

   Class253 aClass253_5740;
   Class564 aClass564_5741 = new Class564(128);


   public void method7817() {
      Class564 var1 = this.aClass564_5741;
      synchronized(var1) {
         this.aClass564_5741.method11976((byte)119);
      }
   }

   public Class421 method7818(int var1, int var2) {
      Class564 var3 = this.aClass564_5741;
      Class421 var4;
      synchronized(var3) {
         var4 = (Class421)this.aClass564_5741.method11959((long)var1);
      }

      if(null != var4) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_5740;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_5740.method4547(2022937823 * Class115.aClass115_1118.anInt1177, var1, (byte)-96);
         }

         var4 = new Class421();
         if(null != var12) {
            var4.method7175(new RS2Buffer(var12), 1826137906);
         }

         Class564 var11 = this.aClass564_5741;
         synchronized(var11) {
            this.aClass564_5741.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method7819(short var1) {
      Class564 var2 = this.aClass564_5741;
      synchronized(var2) {
         this.aClass564_5741.method11968((short)-20377);
      }
   }

   public void method7820(int var1, int var2) {
      Class564 var3 = this.aClass564_5741;
      synchronized(var3) {
         this.aClass564_5741.method11963(var1, (byte)-79);
      }
   }

   public Class464(Class481 var1, Class470 var2, Class253 var3) {
      this.aClass253_5740 = var3;
      this.aClass253_5740.method4514(2022937823 * Class115.aClass115_1118.anInt1177, -68559702);
   }

   public Class421 method7821(int var1) {
      Class564 var2 = this.aClass564_5741;
      Class421 var3;
      synchronized(var2) {
         var3 = (Class421)this.aClass564_5741.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5740;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5740.method4547(2022937823 * Class115.aClass115_1118.anInt1177, var1, (byte)36);
         }

         var3 = new Class421();
         if(null != var10) {
            var3.method7175(new RS2Buffer(var10), 1633110897);
         }

         Class564 var11 = this.aClass564_5741;
         synchronized(var11) {
            this.aClass564_5741.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class421 method7822(int var1) {
      Class564 var2 = this.aClass564_5741;
      Class421 var3;
      synchronized(var2) {
         var3 = (Class421)this.aClass564_5741.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5740;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5740.method4547(2022937823 * Class115.aClass115_1118.anInt1177, var1, (byte)69);
         }

         var3 = new Class421();
         if(null != var10) {
            var3.method7175(new RS2Buffer(var10), 2061113181);
         }

         Class564 var11 = this.aClass564_5741;
         synchronized(var11) {
            this.aClass564_5741.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7823() {
      Class564 var1 = this.aClass564_5741;
      synchronized(var1) {
         this.aClass564_5741.method11976((byte)69);
      }
   }

   public Class421 method7824(int var1) {
      Class564 var2 = this.aClass564_5741;
      Class421 var3;
      synchronized(var2) {
         var3 = (Class421)this.aClass564_5741.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5740;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5740.method4547(2022937823 * Class115.aClass115_1118.anInt1177, var1, (byte)58);
         }

         var3 = new Class421();
         if(null != var10) {
            var3.method7175(new RS2Buffer(var10), 1503963476);
         }

         Class564 var11 = this.aClass564_5741;
         synchronized(var11) {
            this.aClass564_5741.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class421 method7825(int var1) {
      Class564 var2 = this.aClass564_5741;
      Class421 var3;
      synchronized(var2) {
         var3 = (Class421)this.aClass564_5741.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5740;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5740.method4547(2022937823 * Class115.aClass115_1118.anInt1177, var1, (byte)14);
         }

         var3 = new Class421();
         if(null != var10) {
            var3.method7175(new RS2Buffer(var10), 1784589619);
         }

         Class564 var11 = this.aClass564_5741;
         synchronized(var11) {
            this.aClass564_5741.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7826() {
      Class564 var1 = this.aClass564_5741;
      synchronized(var1) {
         this.aClass564_5741.method11976((byte)104);
      }
   }

   public void method7827(int var1) {
      Class564 var2 = this.aClass564_5741;
      synchronized(var2) {
         this.aClass564_5741.method11976((byte)61);
      }
   }

   public void method7828() {
      Class564 var1 = this.aClass564_5741;
      synchronized(var1) {
         this.aClass564_5741.method11968((short)-25673);
      }
   }

   public void method7829() {
      Class564 var1 = this.aClass564_5741;
      synchronized(var1) {
         this.aClass564_5741.method11968((short)-21030);
      }
   }

   public static void method7830(int var0, int var1, int var2, boolean var3, int var4) {
      if(Class500.aClass225_Sub6_5953.aClass463_Sub15_8472.method12922((byte)-70) != 0) {
         Class215_Sub1.anInt8344 = Class500.aClass225_Sub6_5953.aClass463_Sub15_8472.method12922((byte)-64) * 1443865457;
         Class62_Sub2.method13095(0, true, 1565166678);
      } else {
         Class496_Sub2.method15407(false, 54970357);
      }

      Class215_Sub1.anInt8338 = -992221801 * var1;
      Class215_Sub1.anInt8339 = var2 * 282309267;
      Class215_Sub1.aBool8348 = var3;
      Class215_Sub1.method3665(var0);
   }

   static final void method7831(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = (int)(client.aLong7639 * -7334371618178317739L >> 32);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = (int)(client.aLong7639 * -7334371618178317739L & -1L);
   }
}
